Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QTextImageFormat Class Reference

The QTextImageFormat class provides formatting information for images in a QTextDocument. More...

    #include <QTextImageFormat>

Inherits QTextCharFormat.

- List of all members, including inherited members

### Public Functions

- QTextImageFormat ()
- int height () const
- bool isValid () const
- QString name () const
- void setHeight ( int height )
- void setName ( const QString & name )
- void setWidth ( int width )
- int width () const

- 33 public functions inherited from QTextCharFormat
- 45 public functions inherited from QTextFormat

## Detailed Description

The QTextImageFormat class provides formatting information for images in a QTextDocument.

Inline images are represented by an object replacement character (0xFFFC in Unicode) which has an associated QTextImageFormat. The image format specifies a name with setName() that is used to locate the image. The size of the rectangle that the image will occupy is specified using setWidth() and setHeight().

## Member Function Documentation

### QTextImageFormat::QTextImageFormat ()

Creates a new image format object.

### int QTextImageFormat::height () const

Returns the height of the rectangle occupied by the image.

See also width() and setHeight().

### bool QTextImageFormat::isValid () const

Returns true if this image format is valid; otherwise returns false.

### QString QTextImageFormat::name () const

Returns the name of the image. The name refers to an entry in the application's resources file.

See also setName().

### void QTextImageFormat::setHeight ( int height )

Sets the height of the rectangle occupied by the image.

See also height() and setWidth().

### void QTextImageFormat::setName ( const QString & name )

Sets the name of the image. The name is used to locate the image in the application's resources.

See also name().

### void QTextImageFormat::setWidth ( int width )

Sets the width of the rectangle occupied by the image.

See also width() and setHeight().

### int QTextImageFormat::width () const

Returns the width of the rectangle occupied by the image.

See also height() and setWidth().